<?php
namespace Paymentpage\includes\controllers;

// namespace Stripe_Controller;
class FreemiusController
{

    /**
     * The version of this plugin.
     *
     * @since 1.0.0
     * @access private
     * @var string $fs we store the freemius call
     */
    public static $fs;


    /**
     * The version of this plugin.
     *
     * @since 1.0.1
     * @access public
     * @action: Return true or false if the user opted-in
     * @return boolean
     */
    public static function ifoptin()
    {
        global $payment_page_fs;

        if ($payment_page_fs->is_pending_activation() === false) {
            if ($payment_page_fs->is_registered() === false && $payment_page_fs->is_anonymous() === false && $payment_page_fs->is_tracking_allowed() === false) {
                return true;
            }
        }

        return false;
    }

    /**
     * The version of this plugin.
     *
     * @since 1.0.1
     * @access public
     * @action: Return true or false if the user tiggered the confirmation email link
     * @return boolean
     */
    public static function if_origin_confirmation_email()
    {
        if (isset($_REQUEST["fs_action"])) {
            if ($_REQUEST["fs_action"] == "payment-page_activate_new") {
                return true;
            }
        }

        return false;
    }

    public static function get_user_plan(){
        global $payment_page_fs;
       return  $payment_page_fs->get_plan();
    }

    public static function get_upgrade_url(){
        global $payment_page_fs;
        return $payment_page_fs->get_upgrade_url();
    }
}