<?php
namespace Paymentpage\includes\elements\NativeBuilder;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Core\Schemes;

if (! defined('ABSPATH'))
    exit();

class NativeBuilder extends \Elementor\Widget_Base{

    private static $freemius;

    public function __construct($data = [], $args = null){
        parent::__construct($data, $args);
     
    }

    public function get_name(){
        return 'native-builder';
    }



    public function get_title(){
        return __('Payment Page Native Form', 'payment-page');
    }

    public function get_icon(){
        return 'eicon-posts-ticker';
    }
    
    public function get_categories(){
        return [
            'payment-page'
        ];
    }

    protected function _register_controls(){
      $this->start_controls_section('section_display', [
        'label' => __('Payment Form Settings', 'payment-page')
      ]);
  
      
      $this->add_control('Open settings', [
        'type' => 'openmodal',
      ]);
  
      $this->end_controls_section();
  }


    protected function render(){
      
        echo "<p>Native builder</p>";
    }

    protected function _content_template(){
        ?>
	        <p>Native builder</p>
        <?php
        ;
    }
}