<?php 
namespace Paymentpage\includes\elements\PaymentForm\Controll;

class PaymentFormDisplay  {
  
  private static $freemius;

  public function __construct($elementor)
  {
    global $payment_page_fs;
    self::$freemius =  $payment_page_fs; 
    $this->elementor = $elementor;
  }

  public function get_controll(){

    $this->elementor->start_controls_section('section_display', [
      'label' => __('Payment Form Display', 'payment-page')
    ]);

    $this->elementor->add_control('FREE_VERSION_MODE', [
      'type' => \Elementor\Controls_Manager::HIDDEN,
      'default' => self::$freemius->is_free_plan()
    ]);

    $this->elementor->add_control('display_form', [
      'label' => __('Select one:', 'payment-page'),
      'type' => \Elementor\Controls_Manager::SELECT,
      'default' => 'true',
      'options' => [
          'true' => __('Inline/embed payment form', 'payment-page'),
          'false' => __('Payment buttons (popup form)', 'payment-page')
      ]
    ]);

    $this->elementor->end_controls_section();
  }
}