<?php 
namespace Paymentpage\includes\elements\PaymentForm\Controll;
use Elementor\Controls_Manager;

class SubscriptionSelector  {
  

  public function __construct($elementor)
  {
     $this->elementor = $elementor;
  }

  public function get_controll(){
    $this->elementor->start_controls_section('subscription_selector_section', [
      'label' => 'Subscription Selector',
      'tab' => Controls_Manager::TAB_CONTENT
    ]);

    $this->elementor->add_control('subscription_selector', [
        'label' => __('Subscription Selector', 'payment-page'),
        'type' => \Elementor\Controls_Manager::SWITCHER,
        'label_on' => __('On', 'payment-page'),
        'label_off' => __('Off', 'payment-page'),
        'default' => 'yes'
    ]);

    $this->elementor->end_controls_section();
  }
}